import React from "react";
import { render as rtlRender } from "@testing-library/react";
import { configureStore } from "@reduxjs/toolkit";
import { Provider } from "react-redux";

import reducer from "../redux/reducer/index";

const render = (
	ui,
	{
		preloadedState,
		store = configureStore({ reducer: { user: reducer }, preloadedState }),
		...renderOptions
	} = {}
) => {
	const Wrapper = ({ children }) => {
		return <Provider store={store}>{children}</Provider>;
	};
	return rtlRender(ui, { wrapper: Wrapper, ...renderOptions });
};

export * from "@testing-library/react";
export { render };
